*Chapter 6 commands

log using chap6, text replace
use chap6-gss2012, clear

* The one-predictor CR model with logit link
xi: ocratio healthre i.maritals, link(logit)
xi: ocratio healthre i.maritals, link(logit) eform
aic
*AIC = -2(LLm - k) / n
display -2*(-1565.941-1)/3459


* The one-predictor CR model with clog-log link
xi: ocratio healthre i.maritals, link(cloglog) cumulative
aic
xi: ocratio healthre i.maritals, link(cloglog) eform cumulative

* The multiple-predictor CR model with logit link
xi: ocratio healthre i.maritals educ age male, link(logit)
aic
*AIC = -2(LLm - k) / n
display -2*(-1518.35-4)/3459
xi: ocratio healthre i.maritals educ age male, link(logit) eform

*Likelihood ratio test
display -2*(-1565.941-(-1518.35))

* Fitting the CR model using seqlogit
seqlogit healthre i.maritals educ age i.male, tree (1: 2 3 4, 2: 3 4, 3:4)

*Fitting the constrained CR model
*Step 1: Define constraints
constraint define 1 [_2_3_4v1]1.maritals=[_3_4v2]1.maritals
constraint define 2 [_3_4v2]1.maritals=[_4v3]1.maritals
constraint define 3 [_2_3_4v1]educ=[_3_4v2]educ
constraint define 4 [_3_4v2]educ=[_4v3]educ
constraint define 5 [_2_3_4v1]age=[_3_4v2]age
constraint define 6 [_3_4v2]age=[_4v3]age
constraint define 7 [_2_3_4v1]1.male=[_3_4v2]1.male
constraint define 8 [_3_4v2]1.male=[_4v3]1.male

*Step2: Fitting the same CR model with the constraints option
seqlogit healthre i.maritals educ age i.male, tree (1: 2 3 4, 2: 3 4, 3:4) constraints (1/8)
seqlogit healthre i.maritals educ age i.male, tree (1: 2 3 4, 2: 3 4, 3:4) constraints (1/8) or

*margins and marginsplot in Stata 13 and later
margins, at(educ = (8 13 16)) atmeans predict(trpr transition(1) choice(0))
marginsplot

* Making publication-quality tables using outreg2
quietly xi: ocratio healthre i.maritals, link(logit)
outreg2 using chap6out, word replace
outreg2 using chap6out, eform word append
quietly xi: ocratio healthre i.maritals educ age i.male, link(logit)
outreg2 using chap6out, word append
outreg2 using chap6out, eform word append
seeout
